This is the mail archive of the mailing list for the Cygwin project. See the Cygwin home page for more information.
[Date Prev][Date Next][Thread Prev][Thread Next]
[Date Index] [Subject Index] [Author Index] [Thread Index]

Re: problem with cygwin version of egcs

Beginning with version b20 the cygwin package was built optimized for
i586.  This means that you will not be able to successfully use it on
a lesser machine.  You could get version b19 and the b20 sources and
build it optimized for i486 and you should then be able to use it or
cross-compile from linux.

---John McNally <> wrote:
> I am running cygwin b20.1 with win95 on a 486.  I installed the
> of egcs1.1.1 for cygwin b20.
> When trying to run g77 (or gcc) I get
> This program cannot be run in DOS mode.
> Other b20 utils like "ls" and "du" work.  I did not check b20
version of
> gcc before overlaying egcs version.  I have looked in the cygwin
> list archives and didn't find anything.  And I'm not sure it would be
> discussed wrt egcs.
> Has anyone else reported this problem?  This is the sort of error
> message associated with trying to run a windows program from a DOS
> which is not what I think I'm doing.  I don't know much about this. 
> Just trying to run g77 and b19 version tends to freeze up
> Thought I'd try an update.  B19 still works thankfully.
> -- 
> John McNally
> Graduate Student, UCLA
> Graduate Student Researcher, 
> UC-Davis/LLNL
> P.O. Box 808, L-543
> Livermore, CA 94550
> voice:  (925) 424-5113
> FAX:    (925) 424-5114
> e-mail:
> --
> Want to unsubscribe from this list?
> Send a message to

Get your free address at

Want to unsubscribe from this list?
Send a message to